Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Class EnhancedRepeaterJXPathBinding

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.forms.binding.JXPathBindingBase
              org.apache.cocoon.forms.binding.RepeaterJXPathBinding
                  org.apache.cocoon.forms.binding.EnhancedRepeaterJXPathBinding

All Implemented Interfaces:
  Binding

public class EnhancedRepeaterJXPathBinding
extends RepeaterJXPathBinding

Field Summary

Fields inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`classes, parent`

Constructor Summary
`EnhancedRepeaterJXPathBinding(JXPathBindingBuilderBase.CommonAttributes commonAtts, String repeaterId, String repeaterPath, String rowPath, String rowPathForInsert, JXPathBindingBase[] childBindings, JXPathBindingBase insertBinding, JXPathBindingBase[] deleteBindings, JXPathBindingBase[] identityBindings, String adapterClass)`

Method Summary
`void` | `doLoad(Widget frmModel, org.apache.commons.jxpath.JXPathContext jxpc)` Binds the unique-id of the repeated rows, and narrows the context on objectModelContext and Repeater to the repeated rows before handing over to the actual binding-children.
`void` | `doSave(Widget frmModel, org.apache.commons.jxpath.JXPathContext jxpc)` Uses the mapped identity of each row to detect if rows have been updated, inserted or removed.

Methods inherited from class org.apache.cocoon.forms.binding.RepeaterJXPathBinding
`getDeleteRowBinding, getId, getIdentityBinding, getInsertRowBinding, getInsertRowPath, getRepeaterPath, getRowBinding, getRowPath, toString`

Methods inherited from class org.apache.cocoon.forms.binding.JXPathBindingBase
`getClass, getCommonAtts, getEnclosingLibrary, getLocation, isValid, loadFormFromModel, loadFormFromModel, saveFormToModel, saveFormToModel, selectWidget, setEnclosingLibrary, setParent`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnhancedRepeaterJXPathBinding

    public EnhancedRepeaterJXPathBinding(JXPathBindingBuilderBase.CommonAttributes commonAtts,
                                         String repeaterId,
                                         String repeaterPath,
                                         String rowPath,
                                         String rowPathForInsert,
                                         JXPathBindingBase[] childBindings,
                                         JXPathBindingBase insertBinding,
                                         JXPathBindingBase[] deleteBindings,
                                         JXPathBindingBase[] identityBindings,
                                         String adapterClass)

Method Detail

### doLoad

    public void doLoad(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jxpc)
                throws BindingException

  Description copied from class: `RepeaterJXPathBinding`
  Binds the unique-id of the repeated rows, and narrows the context on objectModelContext and Repeater to the repeated rows before handing over to the actual binding-children.

  Overrides:
    `doLoad` in class `RepeaterJXPathBinding`
  Throws:
    `BindingException`

### doSave

    public void doSave(Widget frmModel,
                       org.apache.commons.jxpath.JXPathContext jxpc)
                throws BindingException

  Description copied from class: `RepeaterJXPathBinding`
  Uses the mapped identity of each row to detect if rows have been updated, inserted or removed. Depending on what happened the appropriate child-bindings are allowed to visit the narrowed contexts.

  Overrides:
    `doSave` in class `RepeaterJXPathBinding`
  Throws:
    `BindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.